package net.wanji.databus.po;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/03/10 19:22
 */
@Data
@TableName("t_cross_dir_data_realtime")
@ApiModel(value = "CrossDirDataRealtimePO", description = "路口转向实时数据")
public class CrossDirDataRealtimePO {
    @ApiModelProperty(name = "路口方向ID（路口ID_方向_进出口_主辅路序号）",notes = "")
    public String id;
    @ApiModelProperty(name = "路口方向类型：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    public Integer dirType;
    @ApiModelProperty(name = "进出口类型：1进口；2出口",notes = "")
    public Integer inOutType;
    @ApiModelProperty(name = "路口编号",notes = "")
    public String crossId;
    @ApiModelProperty(name = "路段长度",notes = "")
    public Double length;
    @ApiModelProperty(name = "交通状态：1畅通；2缓行；3拥堵；4严重拥堵；5相位空放",notes = "")
    public Integer status;
    @ApiModelProperty(name = "交通指数",notes = "")
    public Double trafficIndex;
    @ApiModelProperty(name = "开始时间",notes = "")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    public Date startTime;
    @ApiModelProperty(name = "通行能力",notes = "")
    public Integer capacity;
    @ApiModelProperty(name = "持续时间",notes = "")
    public Integer duration;
    @ApiModelProperty(name = "交通流量(辆)",notes = "")
    public Integer flow;
    @ApiModelProperty(name = "平均速度(km/h)",notes = "")
    public Double speed;
    @ApiModelProperty(name = "排队长度(米)",notes = "")
    public Double queueLength;
    @ApiModelProperty(name = "停车次数",notes = "")
    public Double stopTimes;
    @ApiModelProperty(name = "延误时间",notes = "")
    public Integer delayTime;
    @ApiModelProperty(name = "饱和度",notes = "")
    public Double sturation;
    @ApiModelProperty(name = "不停车率",notes = "")
    public Double noStopRate;
    @ApiModelProperty(name = "一次停车率",notes = "")
    public Double oneStopRate;
    @ApiModelProperty(name = "二次停车率",notes = "")
    public Double twoStopRate;
    @ApiModelProperty(name = "三次停车率",notes = "")
    public Double threeStopRate;
    @ApiModelProperty(name = "采集时间（10位时间戳）",notes = "")
    public Integer batchTime;
    @ApiModelProperty(name = "创建时间",notes = "")
    public Date gmtCreate ;
    @ApiModelProperty(name = "修改时间",notes = "")
    public Date gmtModified ;
    @ApiModelProperty(name = "溢流率：交叉口间路段车辆排队长度超出可容纳空间的时长与观测总时长的百分比",notes = "")
    public Double effusionRate;
    @ApiModelProperty(value = "绿灯有效利用率", notes = "")
    public Double greenLightEfficiency;
}
